Update a card
curl --request PATCH \
--url https://api.dash.fi/v1/public/cards/{card-id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"categories": []
}
'import requests
url = "https://api.dash.fi/v1/public/cards/{card-id}"
payload = { "categories": [] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({categories: []})
};
fetch('https://api.dash.fi/v1/public/cards/{card-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"message": "<string>"
}{
"code": "unauthorized",
"message": "authorization header not provided"
}{
"code": "forbidden",
"message": "access to this resource is not provided"
}{
"code": "not-found",
"message": "resource was not found"
}{
"code": "internal-server-error",
"message": "<string>"
}Update a card
Allows updating a card. Supports updating the limit and categories.
PATCH
/
cards
/
{card-id}
Update a card
Authorizations
Type "Bearer" followed by a space and your API token. Obtain your key from the Dash.fi dashboard. Example: "Bearer YOUR_API_KEY"
Path Parameters
Card id
Body
application/json
Card update request
Card update request
Card categories. Categories have specific MCC restrictions. If provided, replaces existing categories.
Available options:
advertising, saas_software, shipping, cloud_computing, professional_services, airlines, books_and_newspapers, car_rental, car_services, charitable_donations, clothing, clubs_and_memberships, education, electronics, fees_and_financial_institutions, freight_moving_and_delivery_services, fuel_and_gas, general_merchandise, general_expenses, government_services, insurance, internet_and_phone, legal, lodging, medical, office_supplies_and_cleaning, other, parking, pet, restaurants, supermarkets_and_grocery_stores, taxes_and_tax_preparation, taxi_and_rideshare, travel_misc, utilities, entertainment Card limit.
Show child attributes
Show child attributes
Response
No Content